# Users

All user related paths.

## Get all users

 - [GET /users](https://docs.upvest.co/api/users/list_users.md): Returns the list of all users.

## Create a user

 - [POST /users](https://docs.upvest.co/api/users/create_user.md): Creates a user.

## Get a user by ID

 - [GET /users/{user_id}](https://docs.upvest.co/api/users/retrieve_user.md): Returns the user specified by ID.

## Offboard a user

 - [DELETE /users/{user_id}](https://docs.upvest.co/api/users/offboard_user.md): Starts the user offboarding process in the background.

## Change user data

 - [POST /users/{user_id}/data_change_requests](https://docs.upvest.co/api/users/user_data_change.md): Requests a data change for a user specified by ID.

## Users events

 - [POST Users events](https://docs.upvest.co/api/users/user_event.md): Users events

